3 Replies Latest reply: Feb 2, 2012 10:00 PM by Willy_T
Willy_T Level 1 Level 1

Can any one tell me , is face time run on G5?


PowerMac, Mac OS X (10.5.8)
Reply by stevejobsfan0123 on Feb 2, 2012 9:58 PM Helpful

FaceTime requires OS X 10.6.6 or later.

 


All replies